Loading...
Searching...
No Matches
pcl::DefaultIterator< PointT > Class Template Reference

`#include <pcl/impl/cloud_iterator.hpp>`

Inherits pcl::CloudIterator< PointT >::Iterator.

## Public Member Functions

| DefaultIterator (PointCloud< PointT > &cloud)
| ~DefaultIterator ()=default
void | operator++ ()
void | operator++ (int)
PointT & | operator* () const
PointT * | operator-> ()
unsigned | getCurrentPointIndex () const
unsigned | getCurrentIndex () const
std::size_t | size () const
void | reset ()
bool | isValid () const

## Detailed Description

template<class PointT>
class pcl::DefaultIterator< PointT >

Author
  Suat Gedikli

Definition at line 50 of file cloud_iterator.hpp.

## Constructor & Destructor Documentation

## DefaultIterator()

template<class PointT >

pcl::DefaultIterator< PointT >::DefaultIterator | ( | PointCloud< PointT > & | cloud | ) |

inline

Definition at line 53 of file cloud_iterator.hpp.

## ~DefaultIterator()

template<class PointT >

pcl::DefaultIterator< PointT >::~DefaultIterator | ( |  | ) |

default

## Member Function Documentation

## getCurrentIndex()

template<class PointT >

unsigned pcl::DefaultIterator< PointT >::getCurrentIndex | ( |  | ) | const

inline

Definition at line 86 of file cloud_iterator.hpp.

## getCurrentPointIndex()

template<class PointT >

unsigned pcl::DefaultIterator< PointT >::getCurrentPointIndex | ( |  | ) | const

inline

Definition at line 81 of file cloud_iterator.hpp.

## isValid()

template<class PointT >

bool pcl::DefaultIterator< PointT >::isValid | ( |  | ) | const

inline

Definition at line 101 of file cloud_iterator.hpp.

## operator*()

template<class PointT >

PointT & pcl::DefaultIterator< PointT >::operator* | ( |  | ) | const

inline

Definition at line 71 of file cloud_iterator.hpp.

## operator++() [1/2]

template<class PointT >

void pcl::DefaultIterator< PointT >::operator++ | ( |  | ) |

inline

Definition at line 61 of file cloud_iterator.hpp.

## operator++() [2/2]

template<class PointT >

void pcl::DefaultIterator< PointT >::operator++ | ( | int |  | ) |

inline

Definition at line 66 of file cloud_iterator.hpp.

## operator->()

template<class PointT >

PointT * pcl::DefaultIterator< PointT >::operator-> | ( |  | ) |

inline

Definition at line 76 of file cloud_iterator.hpp.

## reset()

template<class PointT >

void pcl::DefaultIterator< PointT >::reset | ( |  | ) |

inline

Definition at line 96 of file cloud_iterator.hpp.

## size()

template<class PointT >

std::size_t pcl::DefaultIterator< PointT >::size | ( |  | ) | const

inline

Definition at line 91 of file cloud_iterator.hpp.

The documentation for this class was generated from the following file:

- pcl/impl/cloud_iterator.hpp